{{ ansible_managed | comment }}

// Automatically reboot *WITHOUT CONFIRMATION* if
//  the file /var/run/reboot-required is found after the upgrade
Unattended-Upgrade::Automatic-Reboot "{{ system_security_autoupdate_reboot }}";

// If automatic reboot is enabled and needed, reboot at the specific
// time instead of immediately
//  Default: "now"
Unattended-Upgrade::Automatic-Reboot-Time "{{ system_security_autoupdate_reboot_time }}";

// Send email to this address for problems or packages upgrades
// If empty or unset then no email is sent, make sure that you
// have a working mail setup on your system. A package that provides
// 'mailx' must be installed. E.g. "user@example.com"
Unattended-Upgrade::Mail "{{ system_security_mail_to }}";

// Set this value to one of:
//    "always", "only-on-error" or "on-change"
// If this is not set, then any legacy MailOnlyOnError (boolean) value
// is used to chose between "only-on-error" and "on-change"
//Unattended-Upgrade::MailReport "on-change";

Unattended-Upgrade::{{ system_security_autoupdate_origins_keyword }} {
{% for origin in system_security_autoupdate_origins %}
        "{{ origin }}";
{% endfor %}
};

// Python regular expressions, matching packages to exclude from upgrading
Unattended-Upgrade::Package-Blacklist {
{% for package in system_security_blacklist %}
    "{{ package }}";
{% endfor %}
    // For more information about Python regular expressions, see
    // https://docs.python.org/3/howto/regex.html
};
